org.jbpm.services.task.impl.model

## Class DeadlineImpl_

- java.lang.Object
- - org.jbpm.services.task.impl.model.DeadlineImpl_

-     @Generated(value="org.hibernate.jpamodelgen.JPAMetaModelEntityProcessor")
      public abstract class DeadlineImpl_
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.persistence.metamodel.SingularAttribute<DeadlineImpl,Date>` | `date`
    `static String` | `DATE`
    `static javax.persistence.metamodel.ListAttribute<DeadlineImpl,I18NTextImpl>` | `documentation`
    `static String` | `DOCUMENTATION`
    `static javax.persistence.metamodel.SingularAttribute<DeadlineImpl,Short>` | `escalated`
    `static String` | `ESCALATED`
    `static javax.persistence.metamodel.ListAttribute<DeadlineImpl,EscalationImpl>` | `escalations`
    `static String` | `ESCALATIONS`
    `static javax.persistence.metamodel.SingularAttribute<DeadlineImpl,Long>` | `id`
    `static String` | `ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeadlineImpl_()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### date

          public static volatile javax.persistence.metamodel.SingularAttribute<DeadlineImpl,Date> date

    - #### escalations

          public static volatile javax.persistence.metamodel.ListAttribute<DeadlineImpl,EscalationImpl> escalations

    - #### documentation

          public static volatile javax.persistence.metamodel.ListAttribute<DeadlineImpl,I18NTextImpl> documentation

    - #### escalated

          public static volatile javax.persistence.metamodel.SingularAttribute<DeadlineImpl,Short> escalated

    - #### id

          public static volatile javax.persistence.metamodel.SingularAttribute<DeadlineImpl,Long> id

    - #### DATE

          public static final String DATE

      See Also:
        Constant Field Values

    - #### ESCALATIONS

          public static final String ESCALATIONS

      See Also:
        Constant Field Values

    - #### DOCUMENTATION

          public static final String DOCUMENTATION

      See Also:
        Constant Field Values

    - #### ESCALATED

          public static final String ESCALATED

      See Also:
        Constant Field Values

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DeadlineImpl_

          public DeadlineImpl_()

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.